# Class IntroElement

java.lang.Object
org.eclipse.ui.intro.config.IntroElement

public class IntroElement extends Object
Used to provide children of the computed gruops while constructing intro content. Clients provide instances of this class from `IntroConfigurer` to dynamically complete the intro content. Attribute and element names, as well as content model must match the intro schema.

Since:
  3.2

## Constructor Summary

Constructors
Constructor
Description
`IntroElement(String name)`
Creates a new intro element with the provided name.

## Method Summary

Modifier and Type
Method
Description
`void`
`addChild(IntroElement child)`
Adds a child to this element.
`boolean`
`equals(Object obj)`
`String`
`getAttribute(String name)`
Returns the value of the attribute with a given name.
`Enumeration<String>`
`getAttributes()`
Returns the names of all the attributes defined in this element.
`IntroElement[]`
`getChildren()`
Returns the children of this element.
`String`
`getName()`
Returns the name of the element.
`String`
`getValue()`
Returns the value of the element.
`void`
`setAttribute(String name, String value)`
Sets the value of the named attribute.
`void`
`setValue(String value)`
Sets the value of the element.

### Methods inherited from class Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IntroElement

public IntroElement(String name)
Creates a new intro element with the provided name.

Parameters:
  `name` - the name of the new intro element

## Method Details

### setAttribute

public void setAttribute(String name, String value)
Sets the value of the named attribute.

Parameters:
  `name` - attribute name
  `value` - attribute value

### getAttribute

public String getAttribute(String name)
Returns the value of the attribute with a given name.

Parameters:
  `name` - the attribute name
Returns:
  value of the attribute with a given name or `null` if not set.

### getAttributes

public Enumeration<String> getAttributes()
Returns the names of all the attributes defined in this element.

Returns:
  an enumeration of all the element names

### getName

public String getName()
Returns the name of the element.

Returns:
  name of the element

### getValue

public String getValue()
Returns the value of the element.

Returns:
  value of the element or `null` if not set.

### setValue

public void setValue(String value)
Sets the value of the element.

Parameters:
  `value` - the value of this element

### addChild

public void addChild(IntroElement child)
Adds a child to this element.

Parameters:
  `child` - the new child of this element

### getChildren

public IntroElement[] getChildren()
Returns the children of this element.

Returns:
  an array of child elements or an empty array of there are no children.

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`